summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-07-28 10:28:38 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-07-29 12:05:37 +0200
commit64903f4f98760c3cf30446a2e895327321c3af48 (patch)
treeebaaccb6ccac2e912ee013b7efc74e774e1318fd /dev-ml/merlin/merlin-3.0.1.ebuild
parentnet-misc/chrony: Update live ebuild. (diff)
downloadgentoo-64903f4f98760c3cf30446a2e895327321c3af48.tar.gz
gentoo-64903f4f98760c3cf30446a2e895327321c3af48.tar.bz2
gentoo-64903f4f98760c3cf30446a2e895327321c3af48.zip
dev-ml/merlin: bump to 3.0.1
Package-Manager: Portage-2.3.6, Repoman-2.3.3
Diffstat (limited to 'dev-ml/merlin/merlin-3.0.1.ebuild')
-rw-r--r--dev-ml/merlin/merlin-3.0.1.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/dev-ml/merlin/merlin-3.0.1.ebuild b/dev-ml/merlin/merlin-3.0.1.ebuild
new file mode 100644
index 00000000000..609f9767e4c
--- /dev/null
+++ b/dev-ml/merlin/merlin-3.0.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit findlib vim-plugin
+
+DESCRIPTION="Context sensitive completion for OCaml in Vim and Emacs"
+HOMEPAGE="https://github.com/ocaml/merlin"
+SRC_URI="https://github.com/ocaml/merlin/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+ dev-lang/ocaml:=
+ dev-ml/yojson:=
+"
+RDEPEND="${DEPEND}
+ || ( app-editors/vim[python] app-editors/gvim[python] )"
+
+src_configure() {
+ ./configure \
+ --prefix "${EPREFIX}/usr" \
+ --vimdir "${EPREFIX}//usr/share/vim/vimfiles" \
+ || die
+}
+
+src_install() {
+ default
+}